stages:
  - test
  - package
  - deploy

before_script:
  - apk add bash git

# format-check verifies that our tests follow guide lines, are well named and
# formatted.
format-check:
  stage: test
  script:
    - |
      if ! ./build-aux/format-and-check || ! git diff --quiet; then
        echo "Please run ./build-aux/format-and-check locally and fix issues. Thanks."
        exit 1
      fi
